#include <stdio.h>
#include <stdlib.h>

int length(long long int broj)
{
    int brcifara=0;
    while(broj)
    {
        broj/=10;
        brcifara++;
    }
    return(brcifara);
}

int provera(int cifre[], int duzn)
{
    int br=0;
    for(int i=0;i<duzn-1;i++)
    {
        int bri=0;
        for(int j=duzn-1;j>i;j--)
        {
            if(bri==0)
            {
                if(cifre[i]==cifre[j])
                {
                    bri++;
                }
            }
            else
            {
                if(cifre[i]!=cifre[j]){
                    br++;
                    }
            }
        }
    }
    if(br==0)
    {
        return 1;
    }
    return 0;
}

int main()
{
    long long int n;
    scanf("%lli",&n);
    long long int temp=n;
    int duzn=length(n);
    int cifre[duzn];
    for(int i=duzn-1;i>=0;i--)
    {
        cifre[i]=temp%10;
        temp/=10;
    }
    int br=0;
    if(provera(cifre,duzn)==1)
    {
        printf("0");
        return;
    }

    int bri=0;
    if(cifre[0]!=cifre[1] && cifre[0]!=cifre[2])
    {
        for(int i=duzn-2;i>2;i--)
        {
            if(cifre[i]==cifre[0])
            {
                bri++;
            }
        }
        if(bri!=0)
        {
            cifre[0]=cifre[1];
            br++;
        }
    }
    if(provera(cifre,duzn)==1)
    {
        printf("%d",br);
        return;
    }

    bri=0;
    if(cifre[duzn-1]!=cifre[duzn-2] && cifre[duzn-1]!=cifre[duzn-3])
    {
        for(int i=0;i<duzn-3;i++)
        {
            if(cifre[duzn-1]==cifre[i])
            {
                bri++;
            }
        }
        if(bri!=0)
        {
            cifre[duzn-1]=cifre[duzn-2];
            br++;
        }
    }
    if(provera(cifre,duzn)==1)
    {
        printf("%d",br);
        return;
    }

    for(int i=0;i<duzn-2;i++)
    {
        if(cifre[i]==cifre[i+2])
        {
            if(cifre[i]!=cifre[i+1])
            {
                cifre[i+1]=cifre[i];
                br++;
            }
        }
    }
    if(provera(cifre,duzn)==1)
    {
        printf("%d",br);
        return;
    }

    for(int i=0;i<duzn-3;i++)
    {
        if(cifre[i]==cifre[i+3])
        {
            if(cifre[i]!=cifre[i+1])
            {
                cifre[i+1]=cifre[i];
                br++;
            }
            if(cifre[i]!=cifre[i+2])
            {
                cifre[i+2]=cifre[i];
                br++;
            }
        }
    }
    
}